<!--
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2002
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability,
//* serviceability or functionality.
//*
//*-------------------------------------------------------------------
-->
<%@page import="com.ibm.commerce.command.CommandContext" %>
<%@page import="com.ibm.commerce.server.ECConstants" %>
<%@page import="com.ibm.commerce.tools.segmentation.SegmentConstants" %>
<%@page import="com.ibm.commerce.tools.segmentation.SegmentUtil" %>
<%@page import="com.ibm.commerce.tools.util.ResourceDirectory" %>
<%@page import="com.ibm.commerce.tools.util.UIUtil" %>
<%@page import="java.util.Hashtable" %>
<%@page import="java.util.Locale" %>
<%@page import="java.util.Vector" %>

<%@ include file="ValueCheckBoxes.jsp" %>

<%
response.setContentType("text/html;charset=UTF-8");
CommandContext commandContext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = commandContext.getLocale();
Hashtable resources = (Hashtable) ResourceDirectory.lookup(SegmentConstants.SEGMENTATION_RESOURCES, locale);
%>

<HTML>

<HEAD>
<link rel=stylesheet href="<%= UIUtil.getCSSFile(locale) %>" type="text/css">
<TITLE>Beverage Preference</TITLE>

<SCRIPT SRC="/wcs/javascript/tools/segmentation/SegmentNotebook.js"></SCRIPT>
<SCRIPT>

function disableDivisions()
 {
  with (document.segmentForm)
   {
    var disableValue = getRadioValue(beverageOp) == "<%=SegmentConstants.VALUE_DO_NOT_USE%>";
    disableGroup(beverageValues, disableValue);
   }
 }

function loadPanelData()
 {
  with (document.segmentForm)
   {
    if (parent.get)
     {
      var o = parent.get("<%=SegmentConstants.ELEMENT_SEGMENT_DETAILS%>", null);
      if (o != null)
       {
        loadRadioValue(beverageOp, o.beverageOp);
        loadCheckBoxValues(beverageValues, o.beverageValues);
       }
     }
    disableDivisions();
    beverageOp[0].focus();
   }
  if (parent.setContentFrameLoaded)
   {
    parent.setContentFrameLoaded(true);
   }
 }

function savePanelData()
 {
  with (document.segmentForm)
   {
    if (parent.get)
     {
      var o = parent.get("<%=SegmentConstants.ELEMENT_SEGMENT_DETAILS%>", null);
      if (o != null)
       {
        o.beverageOp = getRadioValue(beverageOp);
        o.beverageValues = getCheckBoxValues(beverageValues);
       }
     }
   }
 }
</SCRIPT>
</HEAD>

<BODY ONLOAD="loadPanelData()" style="margin-left: 5">

<H1>Beverage Preference</H1>

<P>Define the customer beverage preference criteria for this customer profile.

<FORM NAME="segmentForm" ACTION="javascript:">

<P><TABLE CELLPADDING=0 CELLSPACING=0>
 <TR>
  <TD>
   <INPUT NAME="beverageOp" TYPE="RADIO" VALUE="<%=SegmentConstants.VALUE_DO_NOT_USE%>" ONCLICK="disableDivisions()" CHECKED></INPUT>
  </TD>
  <TD>
   Ignore beverage preference
  </TD>
 </TR>
 <TR>
  <TD>
   <INPUT NAME="beverageOp" TYPE="RADIO" VALUE="<%=SegmentConstants.VALUE_ONE_OF%>" ONCLICK="disableDivisions()"></INPUT>
  </TD>
  <TD>
   Target customers with the following beverage preference
  </TD>
 </TR>
</TABLE>

<DIV style="margin-left: 20">

<INPUT NAME="beverageValues" TYPE="CHECKBOX" VALUE="beer">beer</INPUT><BR>
<INPUT NAME="beverageValues" TYPE="CHECKBOX" VALUE="wine">wine</INPUT><BR>
<INPUT NAME="beverageValues" TYPE="CHECKBOX" VALUE="coffee">coffee</INPUT><BR>
<INPUT NAME="beverageValues" TYPE="CHECKBOX" VALUE="tea">tea</INPUT><BR>
<INPUT NAME="beverageValues" TYPE="CHECKBOX" VALUE="water">water</INPUT><BR>

</DIV>

</FORM>

</BODY>

</HTML>
